wrong versions? -1 reply

Please wait...

Guest

I didn't make it!

0 XP

 
#1 12 years ago

I am currently running off whaleclient 1.4. Some rooms I try to get into say I have the wrong .exe. Can anyone help? :confused: